View Issue Details

IDProjectCategoryView StatusLast Update
0001390PartDesignBugpublic2014-03-04 10:44
ReporterGeoplaceAssigned Towmayer 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platform32-bitOSWindows XPOS Version2002 SP3
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001390: Can't modify or edit an sketch at a Face
DescriptionAn sketch leave open like "U" figure (not a close perimeter) at a face can´t be modified with part design workbench.

-Unhandled std::exception caught on GUIApplication::notify.The error message is Access Violation – No RTTI data!

-Unhandled Base::exception caught on GUIApplication::notify.The error message is Unknown document "

-The file menu is inactive.
Steps To Reproduce1. Open the attached File: 00_PartExtrude

2. Use the Part Design Workbench.

3. Secondary Click on: "Sketch001" at Tree View and option "Edit"

4. At the Tasks Tab, click on any "Constraint" element.
The status bar shows message:
-Unhandled std::exception caught on GUIApplication::notify.The error message is Access Violation – No RTTI data!

5. The tools for sketches stay inactive and

6. I Can't close the edit sketch task. When I click the "close" button the status bar shows message:
-Unhandled Base::exception caught on GUIApplication::notify.The error message is Unknown document "

7. Also when I close all the files open The File Menu has all its options inactive, except the "Recent files". I can't exit the application from there or create a new file.

8. I need to restart FreedCad to be able to draw other sketches again.
Additional InformationFreeCAD Version: 0.13.1828
Python version: 2.6.2
Qt version: 4.5.2
Coin version: 3.1.0
SoQt version: 1.4.1
OCC version: 6.3.0
TagsNo tags attached.

Activities

Geoplace

2014-02-06 16:54

reporter  

00_PartExtrude.FCStd (7,628 bytes)

bejant

2014-02-06 19:12

reporter  

20140205a_Ticket_1390.FCStd (12,409 bytes)

bejant

2014-02-06 19:18

reporter   ~0004158

I think this is the result of a bad model and not a bug, and should have been brought up in the forum before a ticket was filed.

"Sketch" is underconstrained and not closed; there is no Coincident Constraint between endpoints of the lines at the origin.

I constrained all existing points to whatever value came up in the Insert Datum window except that unconstrained point at the origin. Only then I added a coincident constraint to constrain that last point to the origin. This way none of the other points moved first.

Deleted "Sketch001" and created a new U shaped sketch on that face, closed Sketcher, then opened "Sketch001" to edit it; no problem.

Oddly the original "Pad" is a solid and passed Check Geometry, so I think the two endpoints originally did have a coincident constraint applied and it was subsequently deleted.

Saved in the uploaded file 20140205a_Ticket_1390.FCStd.

tanderson69

2014-02-06 20:59

developer   ~0004159

I removed all the constraints from the sketch and started moving geometry around. There are 4 arcs in the sketch that were not visible before editing. I agree with bejant and I don't think there is a new bug here.

Geoplace

2014-02-09 01:15

reporter   ~0004172

So why I can't close the edit mode of "Scketch001".

The software must provide the user with feedback to inform any design conflict.

Because in that scenario (editing the scektch001) the software seems like blocked with no useful info of why.

A robust and friendly software must be fool's proof.

wmayer

2014-03-04 10:43

administrator   ~0004376

I can confirm all this with 0.13. Having an apparently wrong sketch should not cause all these troubles.

wmayer

2014-03-04 10:44

administrator   ~0004377

With the developer version for 0.14 this all works correctly now. Not sure by which commit this was fixed but I remember similar effect a while ago.

Issue History

Date Modified Username Field Change
2014-02-06 16:54 Geoplace New Issue
2014-02-06 16:54 Geoplace File Added: 00_PartExtrude.FCStd
2014-02-06 19:12 bejant File Added: 20140205a_Ticket_1390.FCStd
2014-02-06 19:18 bejant Note Added: 0004158
2014-02-06 20:59 tanderson69 Note Added: 0004159
2014-02-09 01:15 Geoplace Note Added: 0004172
2014-03-04 10:43 wmayer Note Added: 0004376
2014-03-04 10:43 wmayer Assigned To => wmayer
2014-03-04 10:43 wmayer Status new => confirmed
2014-03-04 10:44 wmayer Note Added: 0004377
2014-03-04 10:44 wmayer Status confirmed => closed
2014-03-04 10:44 wmayer Resolution open => fixed
2014-03-04 10:44 wmayer Fixed in Version => 0.14